# https://github.com/Tzahi12345/YoutubeDL-Material
# https://youtubedl-material.stoplight.io/docs/youtubedl-material/

version: "2"
services:
  ytdl_material:
    environment:
      ALLOW_CONFIG_MUTATIONS: 'true'
      ytdl_mongodb_connection_string: 'mongodb://ytdl-mongo-db:27017'
      ytdl_use_local_db: 'false'
      write_ytdl_config: 'true'
    restart: always
    depends_on:
      - ytdl-mongo-db
    volumes:
      - /data/alist/local/ytdl/appdata:/app/appdata
      - /data/alist/local/ytdl/audio:/app/audio
      - /data/alist/local/ytdl/video:/app/video
      - /data/alist/local/ytdl/subscriptions:/app/subscriptions
      - /data/alist/local/ytdl/users:/app/users
    ports:
      - "28998:17442"
    image: tzahi12345/youtubedl-material:latest
  ytdl-mongo-db:
    image: mongo
    # ports:
    #     - "27017:27017"
    logging:
      driver: "none"
    container_name: mongo-db
    restart: always
    volumes:
      - /data/alist/local/ytdl/db/:/data/db